Bug 175510 - RFE: wrapper for pango-querymodules
RFE: wrapper for pango-querymodules
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
http://mpeters.us/silgraphite/
: FutureFeature, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-11 21:45 EST by Michael A. Peters
Modified: 2013-06-03 02:01 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-03 02:01:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch that adds a wrapper for pango-querymodules (3.00 KB, patch)
2005-12-11 21:47 EST, Michael A. Peters
no flags Details | Diff
Changes to pango spec file (2.55 KB, patch)
2005-12-11 21:48 EST, Michael A. Peters
no flags Details | Diff

  None (edit)
Description Michael A. Peters 2005-12-11 21:45:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051129 Fedora/1.5-1 Firefox/1.5

Description of problem:
When pango is installed/updated, it creates a fresh pango.modules file.
Unless the user has created a ~/.pangorc for the root user, or created an /etc/pangorc file (both do not exist by default and have multilib considerations, and thus should be avoided by packagers), only the default modules will be included in the pango.modules file.

What should (imho) happen is a wrapper script to pango-querymodules should make a listing of pango modules not only in the default directory, but in sub directories as well. This wrapper script can then be called by pango's %post script, as well as the %post script of packages that add pango modules.

Version-Release number of selected component (if applicable):
pango-1.11.0-1

How reproducible:
Always

Steps to Reproduce:
1. Install some third party pango modules
2. use pango-querymodules to get them into pango.modules
3. update pango
  

Actual Results:  pango.modules file is recreated, losing information added from add on modules

Expected Results:  The pango.modules file should be recreated of course, but it should also take into condideration modules installed within sub directories of the modules directory.

Additional info:

I'll attach a patch that addresses the issue and works with me.

Test case src.rpm and spec file for a package that would benefit from this (or similar) solution can be found at:

http://mpeters.us/silgraphite/
Comment 1 Michael A. Peters 2005-12-11 21:47:49 EST
Created attachment 122117 [details]
Patch that adds a wrapper for pango-querymodules

I hope I got the all the right files modified for the make system - seems to
work.
Comment 2 Michael A. Peters 2005-12-11 21:48:48 EST
Created attachment 122118 [details]
Changes to pango spec file

Changes to pango spec file for use with the wrapper
Comment 3 Michael A. Peters 2005-12-13 02:48:38 EST
I'm having second thoughts.
Problem is above wrapper doesn't allow for modules outside of pango module
directory, and ignores any existing user define pangorc file.

What I think needs to be done - on 64-bit - apply a patch for pango-querymodules
to look for configuration in

/etc/pango/pangorc64 ~/.pangorc64 and env variable PANGO64_RC_FILE

The man page on 64-bit should reflect that and be named pango-querymodules-64

32-bit builds could still use pangorc and ~/.pangorc and PANGO_RC_FILE

-=-
A wrapper is still needed. On fedora build system, the arch specific pango stuff
goes in /etc/pango/i386-redhat-linux-gnu - but when I build it, it's i686-redhat

Packagers of pango modules could just s?^i.86?i38? when figuring out how to run
pango-querymodules - but a wrapper would be better. Another idea is to drop the
whole arch specific thing, and just use /etc/pango/pango64.modules for 64-bit.

I don't know the implications of such a suggestion.
Comment 4 Michael A. Peters 2005-12-15 22:56:07 EST
I've got a %post script kludge for the pango modules I'm packaging, it isn't
ideal but it works.

If you want to close this in favor of waiting for
http://bugzilla.gnome.org/show_bug.cgi?id=129540 to be closed, I'm fine with that.
Comment 5 Matthias Clasen 2006-06-20 01:14:03 EDT
Reassigning pango bugs to Behdad.
Comment 6 John Poelstra 2008-07-09 00:56:52 EDT
triaged

patches present
Comment 7 Behdad Esfahbod 2009-03-26 00:42:30 EDT
I have bugs open for this issue upstream.  Will be thinking about them.
Comment 8 Fedora Admin XMLRPC Client 2012-01-10 10:43:49 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2013-05-14 08:12:37 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Akira TAGOH 2013-06-03 02:01:12 EDT
I think this should be already fixed in f18.

Note You need to log in before you can comment on or make changes to this bug.